Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
com.tritondigital.player.PlayerConsts Class Reference

File used by Doxygen for documentation consistency. More...

## Static Public Attributes
static final String | AUTH_TOKEN = "auth_token"
| String - Authentication token
static final String | AUTH_KEY_ID = "auth_key_id"
static final String | AUTH_SECRET_KEY = "auth_secret_key"
static final String | AUTH_REGISTERED_USER = "auth_registered_user"
static final String | AUTH_USER_ID = "auth_user_id"
static final String | TARGETING_PARAMS = "targeting_params"
| HashMap<String, String> - Advertising targeting parameters.
static final String | TARGETING_LOCATION_TRACKING_ENABLED = "targeting_location_tracking_enabled"
| Boolean - Enable the location tracking (Default: false)
static final String | STREAM_URL = "stream_url"
| String - Stream URL
static final String | TIMESHIFT_STREAM_URL = "timeshift_stream_url"
| String - Timeshift Stream URL
static final String | TIMESHIFT_PROGRAM_URL = "timeshift_program_url"
| String - Timeshift Programs Base URL
static final String | TRANSPORT = "transport"
| String - Stream transport (TRANSPORT_FLV, TRANSPORT_HLS or TRANSPORT_SC)
static final String | MIME_TYPE = "mime_type"
| String - MIME type
static final String | SBM_URL = "sbm_url"
| String - SideBand Metadata URL
static final String | APP_NAME = "app_name"
| String - App name for the user agent header (e.g. "CustomPlayer1")
static final String | STATION_BROADCASTER = "station_broadcaster"
| String - Broadcaster (e.g. "Triton Digital")
static final String | STATION_NAME = "station_name"
| String - Station unique identifier (e.g. "MOBILEFM")
static final String | STATION_MOUNT = "station_mount"
| String - Station mount (e.g. "MOBILEFMAAC")
static final String | MEDIA_ITEM_METADATA = "mediaItemMetadata"
| Bundle - Metadata for Google Cast
static final String | MIME_TYPE_AAC = "audio/aac"
| AAC MIME type.
static final String | MIME_TYPE_MPEG = "audio/mpeg"
| MP3 MIME type.
static final String | TRANSPORT_FLV = "flv"
| FLV transport.
static final String | TRANSPORT_HLS = "hls"
| HLS transport.
static final String | TRANSPORT_SC = "sc"
| SHOUTcast transport.
static final String | LOW_DELAY = "low_delay"
| Low Delay.
static final String | TTAGS = "ttags"
| TTags.
static final String | FORCE_DISABLE_EXOPLAYER = "ForceDisableExoPlayer"
| Force the disabling of the ExoPlayer.
static final String | PNAME = "pname"
| PNAME; used for syndication report.
static final String | PNAME_VAL = "TritonMobileSDK_Android"
static final String | DMP_SEGMENTS = "dmp_segments"
| Use when adding DMP Segment Headers.
static final String | PLAYER_SERVICES_REGION = "PlayerServicesRegion"
| Prefix used in the playerServices Url to target a specific provisioning service.
static final String | ORIGINAL_SEEK_VALUE = "OriginalSeekValue"
| The original seek value used for Timeshift.
static final String | HANDLE_AUDIO_FOCUS = "HandleAudioFocus"
| Let the player handling the audio focus automatically.

## Detailed Description

File used by Doxygen for documentation consistency.

You don't need to use this class.

## Member Data Documentation

## ◆ TARGETING_PARAMS

final String com.tritondigital.player.PlayerConsts.TARGETING_PARAMS = "targeting_params"
| static

HashMap<String, String> - Advertising targeting parameters.

See available keys in StreamUrlBuilder.

The documentation for this class was generated from the following file:

- sdk/src/main/java/com/tritondigital/player/PlayerConsts.java